Page MenuHomeFreeBSD

www/node6: Update 6.11.4 -> 6.11.5
ClosedPublic

Authored by bhughes on Oct 25 2017, 6:54 AM.
Tags
None
Referenced Files
Unknown Object (File)
Apr 26 2024, 8:01 PM
Unknown Object (File)
Apr 19 2024, 1:09 PM
Unknown Object (File)
Mar 4 2024, 9:24 AM
Unknown Object (File)
Mar 4 2024, 9:24 AM
Unknown Object (File)
Mar 4 2024, 9:24 AM
Unknown Object (File)
Mar 3 2024, 9:26 AM
Unknown Object (File)
Jan 12 2024, 4:22 PM
Unknown Object (File)
Nov 18 2023, 10:33 PM
Subscribers
None

Details

Summary

www/node6: Update 6.11.4 -> 6.11.5

Update to the latest upstream v6.x release to address a remote DoS
vulnerability.

https://nodejs.org/en/blog/vulnerability/oct-2017-dos/
https://nodejs.org/en/blog/release/v6.11.5/

Approved by: robak (mentor)
Security: CVE-2017-14919
MFH: 2017Q4

Test Plan

$ pwd
/usr/ports/www/node6
$ portlint -C
WARN: Makefile: possible direct use of command "python" found. use ${PYTHON_CMD} instead.
WARN: Makefile: possible use of absolute pathname "/etc/make.conf".
WARN: Makefile: "IGNORE" has to appear earlier.
WARN: Makefile: "ONLY_FOR_ARCHS" has to appear earlier.
0 fatal errors and 4 warnings found.

http://35.176.84.170/data/latest-per-pkg/node6/6.11.5/

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision is now accepted and ready to land.Oct 25 2017, 9:29 AM
This revision was automatically updated to reflect the committed changes.